%define nvidia_current_ver    %version
%define nvidia_current_libver %version
Name:          nvidia
Version:       387.22
Epoch:         1
Release:       1mamba
Summary:       NVIDIA proprietary accelerated drivers for the Linux Kernel
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nvidia.com/object/unix.html
Source0:       http://us.download.nvidia.com/XFree86/Linux-x86/%{nvidia_current_ver}/NVIDIA-Linux-x86-%{nvidia_current_ver}.run
Source1:       http://us.download.nvidia.com/XFree86/Linux-x86_64/%{nvidia_current_ver}/NVIDIA-Linux-x86_64-%{nvidia_current_ver}.run
Patch0:        nvidia-331.20-x86-conftest.patch
Patch1:        nvidia-367.35-kernel-4.6.patch
License:       no OSI Approved
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
ExclusiveArch: i586 x86_64
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
nvidia proprietary accelerated drivers for the Linux Kernel.
These packages contains parts that are not (fully) released under GPL license.
These modules are packaged apart from the main kernel modules because they are not fully released as GPL. This means that some modules might have been built from binary objects distributed by the hardware manufacturer. By loading this modules you will "taint" the kernel, which means that your running system won't be 100% GPL.

%package -n xorg-drv-video-nvidia
Group:         System/Kernel and Hardware
Summary:       NVIDIA Accelerated Libraries for Xorg
Requires:      xorg-server >= 1.1.0
Requires(post):kernelheaders
Requires(post):dkms
Requires(pre): xorg-ext-libglx-nvidia == %{epoch}:%{version}-%{release}
Requires(pre): libGL-nvidia-X11 == %{epoch}:%{version}-%{release}
Provides:      Xorg-nvidia
Provides:      xorgdrvvideo
Provides:      kernelnvidia
Conflicts:     xorg-drv-video-nvidia_304
AutoReq:       no

%description -n xorg-drv-video-nvidia
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).

These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips. 
TwinView, TV-Out and flat panel displays are also supported.

This package contains the Xorg libraries.

%package -n libGL-nvidia-X11
Group:         System/Libraries
Summary:       NVIDIA proprietary OpenGL library implementation 
Requires:      xorg-ext-libglx-nvidia == %{epoch}:%{version}-%{release}
Provides:      xorglibGL
Provides:      libGL.so.1
Conflicts:     libGL-nvidia_304-X11

%description -n libGL-nvidia-X11
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).

These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips.
TwinView, TV-Out and flat panel displays are also supported.

This package contains the NVIDIA proprietary OpenGL library implementation for Xorg.

%package -n xorg-ext-libglx-nvidia
Group:         System/Libraries
Summary:       NVIDIA proprietary glx library implementation
Provides:      xorglibglx
Obsoletes:     libglx-nvidia
Conflicts:     xorg-ext-libglx-nvidia_304

%description -n xorg-ext-libglx-nvidia
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).

These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips.
TwinView, TV-Out and flat panel displays are also supported.

This package contains the NVIDIA proprietary glx library implementation for Xorg.

%package -n xorg-apps-nvidia
Group:         System/Tools
Summary:       NVIDIA configuration tools
Conflicts:     xorg-apps-nvidia_304

%description -n xorg-apps-nvidia
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).

These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips.
TwinView, TV-Out and flat panel displays are also supported.

This package contains the NVIDIA tools nvidia-settings, nvidia-xconfig, and nvidia-smi.

%package -n xorg-drv-video-nvidia-doc
Group:         Documentation
Summary:       HTML documentation for NVIDIA Accelerated Libraries for Xorg
Conflicts:    xorg-drv-video-nvidia_304-doc
AutoReq:       no

%description -n xorg-drv-video-nvidia-doc
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).

These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips. 
TwinView, TV-Out and flat panel displays are also supported.

This package contains the HTML documentation.

%prep
%setup -q -c -n %{name}-%{version} -T
#
# unpack NVIDIA files
#
%if "%{_target_cpu}" == "x86_64"
   sh %{SOURCE1} --extract-only
   ln -sf NVIDIA-Linux-x86_64-%{nvidia_current_ver} current
%else
   sh %{SOURCE0} --extract-only
   ln -sf NVIDIA-Linux-x86-%{nvidia_current_ver} current
%endif

sed -i "s|__UTILS_PATH__|%{_bindir}|;s|__PIXMAP_PATH__|%{_datadir}/pixmaps|" \
   current/nvidia-settings.desktop

cd current
#%patch0 -p1
#%patch1 -p1
cd ..

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
pushd current

install -D -m 0755 libnvidia-wfb.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/xorg/modules/libnvidia-wfb.so.%{nvidia_current_libver}

install -D -m 0755 libcuda.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libcuda.so.%{nvidia_current_libver}

install -D -m 0755 libGL.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libGL_so.%{nvidia_current_libver}
ln -s libGL_so.%{nvidia_current_libver} %{buildroot}%{_libdir}/libGL_current_so.1

install -D -m 0755 libglx.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/xorg/modules/extensions/libglx_so.%{nvidia_current_libver}
ln -s libglx_so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/xorg/modules/extensions/libglx_current_so

install -D -m 0755 libnvcuvid.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvcuvid.%{nvidia_current_libver}

install -D -m 0755 libnvidia-cfg.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-cfg_so.%{nvidia_current_libver}
ln -s libnvidia-cfg_so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-cfg_current_so

install -D -m 0755 libnvidia-compiler.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-compiler.%{nvidia_current_libver}

install -D -m 0755 libnvidia-encode.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-encode.%{nvidia_current_libver}

install -D -m 0755 libnvidia-glcore.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-glcore.so.%{nvidia_current_libver}

install -D -m 0755 libnvidia-ml.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-ml.so.%{nvidia_current_libver}
ln -s libnvidia-ml.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-ml.so.1

install -D -m 0755 libnvidia-opencl.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-opencl.so.%{nvidia_current_libver}

install -D -m 0755 tls/libnvidia-tls.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/tls/libnvidia-tls.so.%{nvidia_current_libver}

install -D -m 0755 libnvidia-tls.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-tls.so.%{nvidia_current_libver}

install -D -m 0755 libnvidia-wfb.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/libnvidia-wfb.so.%{nvidia_current_libver}

install -D -m755 libOpenCL.so.1.0.0 \
   %{buildroot}%{_libdir}/libOpenCL_nvidia_so.1.0.0

install -D -m755 libvdpau_nvidia.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so.%{nvidia_current_libver}
ln -s libvdpau_nvidia.so.%{nvidia_current_libver} \
   %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so

install -D -m 0755 nvidia_drv.so \
   %{buildroot}%{_libdir}/xorg/modules/drivers/nvidia_current_drv_so

install -d %{buildroot}%{_sbindir}
cat > %{buildroot}%{_sbindir}/update-alternatives-set-nvidia << _EOF
#!/bin/sh
#update-alternatives --set nvidia_\$(uname -r)_%{kernel_ver_u}.ko \
#/lib/modules/\$(uname -r)/kernel/drivers/video/nvidia_current_ko
update-alternatives --set libglx.so %{_libdir}/xorg/modules/extensions/libglx_current_so
update-alternatives --set nvidia_drv.so %{_libdir}/xorg/modules/drivers/nvidia_current_drv_so
update-alternatives --set libGL.so.1 %{_libdir}/libGL_current_so.1
update-alternatives --set libXvMCNVIDIA_dynamic.so %{_libdir}/libXvMCNVIDIA_current_so
update-alternatives --set libnvidia-cfg.so %{_libdir}/libnvidia-cfg_current_so
update-alternatives --set libOpenCL.so.1 %{_libdir}/libOpenCL_nvidia_so.1.0.0
#update-alternatives --set libnvidia-tls.so.1.lib %{_libdir}/libnvidia-tls_current_so.1
#update-alternatives --set libnvidia-tls.so.1 %{_libdir}/tls/libnvidia-tls_current_so.1
_EOF

for f in nvidia-xconfig nvidia-settings nvidia-smi; do
   install -D -m 775 ${f} %{buildroot}%{_bindir}/${f}
   install -D -m 644 ${f}.1.gz %{buildroot}%{_mandir}/man1/${f}.1.gz
done
install -D -m 644 nvidia-settings.desktop \
   %{buildroot}%{_datadir}/applications/nvidia-settings.desktop
install -D -m 644 nvidia-settings.png \
   %{buildroot}%{_datadir}/pixmaps/nvidia-settings.png

# Clutter workaround (http://blog.sukimashita.com/2015/04/13/gnome-3-16-and-nvidia-binary-driver-crash-with-totem-gnome-maps-cheese-and-others/)
mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
cat > %{buildroot}%{_sysconfdir}/profile.d/nvidia-clutter.sh << _EOF
export CLUTTER_BACKEND=x11
_EOF
chmod +x %{buildroot}%{_sysconfdir}/profile.d/nvidia-clutter.sh

# dkms
install -d -m0755 %{buildroot}%{_prefix}/src/%{name}-%{version}
cp -a kernel/* %{buildroot}%{_prefix}/src/%{name}-%{version}/
cat > %{buildroot}%{_prefix}/src/%{name}-%{version}/dkms.conf << _EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}
MAKE="ln -sf /usr/src/\${PACKAGE_NAME}-\${PACKAGE_VERSION}/nv-kernel.o \${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build/;\
make SYSSRC=\${kernel_source_dir} modules"
CLEAN="make SYSSRC=\${kernel_source_dir} clean"
BUILT_MODULE_NAME[0]=nvidia
BUILT_MODULE_LOCATION[0]=./
DEST_MODULE_LOCATION[0]=/kernel/drivers/video
BUILT_MODULE_NAME[1]=nvidia-drm
BUILT_MODULE_LOCATION[1]=./
DEST_MODULE_LOCATION[1]=/kernel/drivers/video
BUILT_MODULE_NAME[2]=nvidia-modeset
BUILT_MODULE_LOCATION[2]=./
DEST_MODULE_LOCATION[2]=/kernel/drivers/video
%ifarch x86_64
BUILT_MODULE_NAME[3]=nvidia-uvm
BUILT_MODULE_LOCATION[3]=./
DEST_MODULE_LOCATION[3]=/kernel/drivers/video
%endif
REMAKE_INITRD=no
AUTOINSTALL=yes
_EOF

%check
cd current/kernel
for d in /lib/modules/4.*/build; do
   kver=`echo $d|sed "s|/lib/modules/\(.*\)/build.*|\1|"`
   [ "${kver:0:3}" == "4.0" -o "${kver:0:3}" == "4.1" ] && continue
   [ "${kver/-arm}" == "${kver}" ] || continue
   rm -f *.ko
   make %{_smp_mflags} SYSSRC=$d
   for n in nvidia nvidia-drm nvidia-modeset \
%ifarch x86_64
nvidia-uvm \
%endif
   ; do
      [ -e ${n}.ko ] || exit 1
   done
   make %{_smp_mflags} SYSSRC=$d clean
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n xorg-drv-video-nvidia
# new install
update-alternatives --remove libnvidia-tls.so %{_libdir}/libnvidia-tls_current.so 2>/dev/null

if [ $1 -ge 1 ]; then
   # clean any legacy alternatives symlink
   find /lib/modules/*/kernel/drivers/video/ -name nvidia.ko -type l -exec rm -f {} \;
   dkms add -q -m %{name} -v %{version}
   dkms install -q -m %{name} -v %{version}
#   update-alternatives \
#      --install %{_libdir}/libXvMCNVIDIA_dynamic.so libXvMCNVIDIA_dynamic.so \
#                %{_libdir}/libXvMCNVIDIA_current_so 50
   update-alternatives \
      --install %{_libdir}/libnvidia-cfg.so libnvidia-cfg.so \
                %{_libdir}/libnvidia-cfg_current_so 50
#   update-alternatives \
#      --install %{_libdir}/libnvidia-tls.so.1 libnvidia-tls.so.1.lib \
#                %{_libdir}/libnvidia-tls_current_so.1 50
#   update-alternatives \
#      --install %{_libdir}/tls/libnvidia-tls.so.1 libnvidia-tls.so.1 \
#                %{_libdir}/tls/libnvidia-tls_current_so.1 50

   [ -e %{_libdir}/xorg/modules/drivers/nvidia_drv.so ] && \
      rm -f %{_libdir}/xorg/modules/drivers/nvidia_drv.so

   update-alternatives \
         --install %{_libdir}/xorg/modules/drivers/nvidia_drv.so nvidia_drv.so \
                %{_libdir}/xorg/modules/drivers/nvidia_current_drv_so 50

   update-alternatives \
         --install %{_libdir}/libOpenCL.so.1 libOpenCL.so.1 \
                %{_libdir}/libOpenCL_nvidia_so.1.0.0 20
fi

if [ $1 -eq 1 -a -n "`grep nv /etc/X11/xorg.conf 2>/dev/null`" ]; then
   sed -i "s|\"nv\"|\"nvidia\"|" /etc/X11/xorg.conf
   sed -i "s|Load  \"dri\"||" /etc/X11/xorg.conf
fi
/sbin/ldconfig
/sbin/depmod -a -F /boot/System.map-%{kernel_ver}%{?KERNEL_TARGET} \
   %{kernel_ver}%{?KERNEL_TARGET} &>/dev/null
exit 0

%preun -n xorg-drv-video-nvidia
# erase
if [ $1 -eq 0 ]; then
   dkms remove -q -m nvidia -v %{version} --all
   update-alternatives \
      --remove libXvMCNVIDIA_dynamic.so %{_libdir}/libXvMCNVIDIA_current_so
   update-alternatives \
      --remove libnvidia-cfg.so %{_libdir}/libnvidia-cfg_current_so
   update-alternatives \
      --remove libnvidia-tls.so.1.lib %{_libdir}/libnvidia-tls_current_so.1
   update-alternatives \
      --remove libnvidia-tls.so.1 %{_libdir}/tls/libnvidia-tls_current_so.1

   [ ! -L %{_libdir}/xorg/modules/drivers/nvidia_drv.so ] && \
      rm -f %{_libdir}/xorg/modules/drivers/nvidia_drv.so

   update-alternatives \
      --remove nvidia_drv.so %{_libdir}/xorg/modules/drivers/nvidia_current_drv_so

   update-alternatives \
      --remove libOpenCL.so.1 %{_libdir}/libOpenCL_nvidia_so.1.0.0

   [ -w /etc/X11/xorg.conf ] && \
      sed -i "s|\"nvidia\"|\"nv\"|" /etc/X11/xorg.conf
   /sbin/ldconfig
   /sbin/depmod -a -F /boot/System.map-`uname -r` \
      `uname -r` &>/dev/null
fi
exit 0

%post -n xorg-ext-libglx-nvidia
update-alternatives --remove libglx.so %{_libdir}/libglx_current.so 2>/dev/null
/usr/sbin/update-alternatives \
   --install %{_libdir}/xorg/modules/extensions/libglx.so libglx.so \
   %{_libdir}/xorg/modules/extensions/libglx_current_so 20
exit 0

%preun -n xorg-ext-libglx-nvidia
if [ $1 -eq 0 ]; then
   /usr/sbin/update-alternatives --remove libglx.so \
      %{_libdir}/xorg/modules/extensions/libglx_current_so
fi
exit 0

%post -n libGL-nvidia-X11
update-alternatives --remove libGL.so.1 %{_libdir}/libGL_current.so.1 2>/dev/null
/usr/sbin/update-alternatives \
   --install %{_libdir}/libGL.so.1 libGL.so.1 \
   %{_libdir}/libGL_current_so.1 20
/sbin/ldconfig
exit 0

%preun -n libGL-nvidia-X11
if [ $1 -eq 0 ]; then
   /usr/sbin/update-alternatives --remove libGL.so.1 \
      %{_libdir}/libGL_current_so.1
fi
/sbin/ldconfig
exit 0

%files -n libGL-nvidia-X11
%defattr(-,root,root)
%{_libdir}/libGL_so.%{nvidia_current_libver}
%{_libdir}/libGL_current_so.1

%files -n xorg-ext-libglx-nvidia
%defattr(-,root,root)
%{_libdir}/xorg/modules/extensions/libglx_current_so
%{_libdir}/xorg/modules/extensions/libglx_so.%{nvidia_current_libver}

%files -n xorg-drv-video-nvidia
%defattr(-,root,root)
%{_sysconfdir}/profile.d/nvidia-clutter.sh
%dir %{_prefix}/src/%{name}-%{version}
%{_prefix}/src/%{name}-%{version}/*
%attr(0755,root,root) %{_sbindir}/update-alternatives-set-nvidia
%{_libdir}/libnvidia-glcore.so.%{nvidia_current_libver}
#%{_libdir}/libXvMCNVIDIA.a
#%{_libdir}/libXvMCNVIDIA_so.%{nvidia_current_libver}
#%{_libdir}/libXvMCNVIDIA_current_so
%{_libdir}/xorg/modules/drivers/nvidia_current_drv_so
%{_libdir}/xorg/modules/libnvidia-wfb.so.%{nvidia_current_libver}
#%{_libdir}/xorg/modules/libwfb.so
%{_libdir}/libnvidia-cfg_so.%{nvidia_current_libver}
%{_libdir}/libnvidia-cfg_current_so
%{_libdir}/libnvidia-tls.so.%{nvidia_current_libver}
#%{_libdir}/libnvidia-tls_current_so.1
#%{_libdir}/tls/libnvidia-tls_current_so.1
%{_libdir}/libnvidia-ml.so.1
%{_libdir}/libnvidia-ml.so.%{nvidia_current_libver}
%{_libdir}/tls/libnvidia-tls.so.%{nvidia_current_libver}
%{_libdir}/libcuda.so.%{nvidia_current_libver}
%{_libdir}/libnvcuvid.%{nvidia_current_libver}
%{_libdir}/libnvidia-compiler.%{nvidia_current_libver}
%{_libdir}/libnvidia-encode.%{nvidia_current_libver}
%{_libdir}/libnvidia-opencl.so.%{nvidia_current_libver}
%{_libdir}/libnvidia-wfb.so.%{nvidia_current_libver}
%{_libdir}/libOpenCL_nvidia_so.1.0.0
%{_libdir}/vdpau/libvdpau_nvidia.so
%{_libdir}/vdpau/libvdpau_nvidia.so.%{nvidia_current_libver}
%doc current/LICENSE

%files -n xorg-apps-nvidia
%defattr(-,root,root)
%{_bindir}/nvidia-settings
%{_bindir}/nvidia-xconfig
%{_bindir}/nvidia-smi
%{_datadir}/applications/nvidia-settings.desktop
%{_datadir}/pixmaps/nvidia-settings.png
%{_mandir}/man1/nvidia-settings.*
%{_mandir}/man1/nvidia-smi.*
%{_mandir}/man1/nvidia-xconfig.*

%files -n xorg-drv-video-nvidia-doc
%defattr(-,root,root)
%doc current/{LICENSE,NVIDIA_Changelog,README.txt} current/html

%changelog
* Tue Oct 31 2017 Automatic Build System <autodist@mambasoft.it> 387.22-1mamba
- automatic version update by autodist

* Wed Oct 04 2017 Automatic Build System <autodist@mambasoft.it> 387.12-1mamba
- automatic version update by autodist

* Thu Sep 28 2017 Automatic Build System <autodist@mambasoft.it> 384.90-1mamba
- automatic version update by autodist

* Tue Sep 05 2017 Automatic Build System <autodist@mambasoft.it> 384.69-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 384.59-1mamba
- update to 384.59

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 378.13-1mamba
- automatic version update by autodist

* Tue Feb 21 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 375.39-1mamba
- update to 375.39
- fixed dkms.conf

* Thu Dec 15 2016 Automatic Build System <autodist@mambasoft.it> 375.26-1mamba
- automatic version update by autodist

* Sat Nov 19 2016 Automatic Build System <autodist@mambasoft.it> 375.20-1mamba
- automatic version update by autodist

* Fri Nov 04 2016 Automatic Build System <autodist@mambasoft.it> 375.10-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 370.28-2mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 370.28-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Automatic Build System <autodist@mambasoft.it> 370.23-1mamba
- automatic version update by autodist

* Wed Aug 24 2016 Automatic Build System <autodist@mambasoft.it> 367.44-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 367.35-2mamba
- added check section to make sure module compiles with installed kernels in buildvm

* Sat Jul 16 2016 Automatic Build System <autodist@mambasoft.it> 367.35-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 367.27-1mamba
- automatic version update by autodist

* Mon Jun 13 2016 Automatic Build System <autodist@mambasoft.it> 367.18-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 364.19-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 361.42-1mamba
- automatic version update by autodist

* Tue Feb 09 2016 Automatic Build System <autodist@mambasoft.it> 361.28-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 358.16-2mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 358.16-1mamba
- automatic version update by autodist

* Tue Sep 01 2015 Automatic Build System <autodist@mambasoft.it> 355.11-2mamba
- automatic version update by autodist

* Tue Sep 01 2015 Automatic Build System <autodist@mambasoft.it> 355.11-1mamba
- automatic version update by autodist

* Tue Aug 04 2015 Automatic Build System <autodist@mambasoft.it> 355.06-1mamba
- automatic version update by autodist

* Tue Jul 28 2015 Automatic Build System <autodist@mambasoft.it> 352.30-2mamba
- automatic version update by autodist

* Tue Jul 28 2015 Automatic Build System <autodist@mambasoft.it> 352.30-1mamba
- automatic version update by autodist

* Tue Jun 16 2015 Automatic Build System <autodist@mambasoft.it> 352.21-1mamba
- automatic version update by autodist

* Thu May 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 352.09-2mamba
- CLUTTER_BACKEND workaround to fix Gnome >= 3.16 apps

* Tue May 19 2015 Automatic Build System <autodist@mambasoft.it> 352.09-1mamba
- automatic version update by autodist

* Wed Apr 22 2015 Automatic Build System <autodist@mambasoft.it> 349.16-1mamba
- automatic version update by autodist

* Wed Apr 08 2015 Automatic Build System <autodist@mambasoft.it> 346.59-1mamba
- automatic version update by autodist

* Wed Feb 25 2015 Automatic Build System <autodist@mambasoft.it> 346.47-1mamba
- automatic version update by autodist
- source edit (next build): don't call nvidia-autoselect-driver

* Fri Jan 23 2015 Automatic Build System <autodist@mambasoft.it> 346.35-1mamba
- automatic version update by autodist

* Sat Dec 06 2014 Automatic Build System <autodist@mambasoft.it> 343.36-1mamba
- automatic version update by autodist

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 343.22-1mamba
- automatic version update by autodist

* Sat Aug 16 2014 Automatic Build System <autodist@mambasoft.it> 340.32-1mamba
- automatic version update by autodist

* Wed Jul 09 2014 Automatic Build System <autodist@mambasoft.it> 340.24-1mamba
- automatic version update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 337.25-2mamba
- X.org 1.15 rebuild

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 337.25-1mamba
- automatic version update by autodist

* Tue May 20 2014 Automatic Build System <autodist@mambasoft.it> 337.19-1mamba
- automatic version update by autodist

* Wed Apr 16 2014 Automatic Build System <autodist@mambasoft.it> 337.12-1mamba
- automatic version update by autodist

* Tue Mar 04 2014 Automatic Build System <autodist@mambasoft.it> 334.21-1mamba
- automatic version update by autodist

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 331.49-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 331.38-1mamba
- automatic version update by autodist

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 331.20-2mamba
- added conftest patch to fix build on x86

* Thu Nov 07 2013 Automatic Build System <autodist@mambasoft.it> 331.20-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 325.15-3mamba
- don't obsolete kernelnvida and Xorg-nvidia

* Sun Sep 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 325.15-2mamba
- don't overwrite Makefile now it was renamed upstream

* Tue Aug 06 2013 Automatic Build System <autodist@mambasoft.it> 325.15-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 325.08-1mamba
- automatic version update by autodist

* Tue Jun 25 2013 Automatic Build System <autodist@mambasoft.it> 319.32-1mamba
- automatic version update by autodist

* Fri May 24 2013 Automatic Build System <autodist@mambasoft.it> 319.23-1mamba
- automatic version update by autodist

* Sun May 05 2013 Automatic Build System <autodist@mambasoft.it> 319.17-1mamba
- automatic version update by autodist

* Wed Apr 10 2013 Automatic Build System <autodist@mambasoft.it> 313.30-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.60-3mamba
- rebuilt with dkms support (no longer provides precompiled binary modules)
- source renamed to nvidia

* Fri Jan 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.60-2mamba
- kernel 3.4 rebuild

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 304.60-1mamba
- automatic version update by autodist

* Tue Sep 25 2012 Automatic Build System <autodist@mambasoft.it> 304.51-1mamba
- automatic version update by autodist

* Sun Sep 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 304.43-3mamba
- obsoletes legacy 71xx, 96xx, 173xx packages since kernel 3.4 (use nouveau instead)

* Tue Sep 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 304.43-2mamba
- rebuilt with kernel 3.4.11

* Tue Aug 28 2012 Automatic Build System <autodist@mambasoft.it> 304.43-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 304.37-1mamba
- automatic version update by autodist

* Wed Jul 18 2012 Automatic Build System <autodist@mambasoft.it> 304.22-1mamba
- update to 304.22

* Mon Jul 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-4mamba
- manage libOpenCL.so.1 alternative

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-3mamba
- kernel 3.4 rebuild

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-2mamba
- provide libOpenCL_nividia.so.1.0.0 instead of conflicting libOpenCL.so.1.0.0. TODO: manage libOpenCL.so.1 alternatives

* Mon Jun 25 2012 Automatic Build System <autodist@mambasoft.it> 302.17-1mamba
- automatic version update by autodist
- install libvdpau_nvidia.so and libOpenCL.so.*

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 295.59-1mamba
- automatic version update by autodist

* Mon Jun 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 295.53-2mamba
- fixed obsoletes for multiple kernel support

* Thu May 17 2012 Automatic Build System <autodist@mambasoft.it> 295.53-1mamba
- automatic version update by autodist

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 295.49-1mamba
- automatic version update by autodist

* Wed Apr 11 2012 Automatic Build System <autodist@mambasoft.it> 295.40-1mamba
- automatic version update by autodist

* Fri Mar 23 2012 Automatic Build System <autodist@mambasoft.it> 295.33-1mamba
- automatic version update by autodist

* Mon Feb 13 2012 Automatic Build System <autodist@mambasoft.it> 295.20-1mamba
- automatic version update by autodist

* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 290.10-3mamba
- automatic update by autodist

* Wed Jan 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 290.10-2mamba
- automatic update by autodist

* Tue Nov 22 2011 Automatic Build System <autodist@mambasoft.it> 290.10-1mamba
- automatic version update by autodist

* Thu Oct 06 2011 Automatic Build System <autodist@mambasoft.it> 285.05.09-1mamba
- automatic version update by autodist

* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-4mamba
- automatic update by autodist

* Wed Aug 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-3mamba
- install libnvidia-ml.so.1 to fix an app requirement

* Fri Aug 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-2mamba
- automatic update by autodist

* Wed Aug 03 2011 Automatic Build System <autodist@mambasoft.it> 280.13-1mamba
- automatic version update by autodist

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 275.21-1mamba
- automatic update by autodist

* Fri Jul 15 2011 Automatic Build System <autodist@mambasoft.it> 275.19-1mamba
- automatic update by autodist

* Wed Jun 15 2011 Automatic Build System <autodist@mambasoft.it> 275.09.07-1mamba
- automatic update by autodist

* Fri May 20 2011 Automatic Build System <autodist@mambasoft.it> 270.41.19-1mamba
- automatic update by autodist

* Thu Apr 21 2011 Automatic Build System <autodist@mambasoft.it> 270.41.06-1mamba
- automatic update by autodist

* Wed Apr 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.44-3mamba
- kernel 2.6.38 rebuild

* Fri Mar 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.44-2mamba
- kernel 2.6.37 build

* Mon Mar 07 2011 Automatic Build System <autodist@mambasoft.it> 260.19.44-1mamba
- automatic update by autodist

* Mon Feb 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.36-1mamba
- update to 260.19.36

* Mon Feb 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.29-3mamba
- automatic update by autodist

* Fri Dec 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.29-2mamba
- rebuilt with kernel 2.6.35

* Wed Dec 15 2010 Automatic Build System <autodist@mambasoft.it> 260.19.29-1mamba
- automatic update to 260.19.29 by autodist

* Wed Dec 08 2010 Automatic Build System <autodist@mambasoft.it> 260.19.21-1mamba
- automatic update to 260.19.21 by autodist

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 256.53-4mamba
- don't manage alternatives for libnvidia-tls.so as soname was changed from libnvidia-tls.so.1 to libnvidia-tls.so.<VERSION>

* Fri Oct 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 256.53-3mamba
- fixed for cross-platform build

* Sun Oct 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 256.53-2mamba
- remove alternatives for libnvidia-glcore

* Thu Oct 07 2010 Davide Madrisan <davide.madrisan@gmail.com> 256.53-1mamba
- update to 256.53
- new subpackage xorg-apps-nvidia

* Sun Jul 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 195.36.31-3mamba
- update-alternatives-set-nvidia*: fix alternative configuration for kernel module

* Wed Jun 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 195.36.31-2mamba
- automatic rebuild by autodist

* Wed Jun 23 2010 Automatic Build System <autodist@mambasoft.it> 195.36.31-1mamba
- automatic update to 195.36.31 by autodist

* Thu Apr 29 2010 Automatic Build System <autodist@mambasoft.it> 195.36.24-1mamba
- automatic update to 195.36.24 by autodist

* Fri Mar 19 2010 Automatic Build System <autodist@mambasoft.it> 195.36.15-1mamba
- automatic update to 195.36.15 by autodist

* Fri Mar 05 2010 Automatic Build System <autodist@mambasoft.it> 195.36.08-1mamba
- automatic update to 195.36.08 by autodist

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 190.53-3mamba
- automatic rebuild by autodist

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 190.53-2mamba
- update alternatives for kernel mode to support different kernel targets

* Wed Dec 16 2009 Automatic Build System <autodist@mambasoft.it> 190.53-1mamba
- automatic update to 190.53 by autodist

* Tue Oct 27 2009 Automatic Build System <autodist@mambasoft.it> 190.42-1mamba
- automatic update to 190.42 by autodist

* Fri Oct 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 185.18.36-2mamba
- fixed alternatives support for multiple kernel targets

* Sat Aug 22 2009 Automatic Build System <autodist@mambasoft.it> 185.18.36-1mamba
- automatic update to 185.18.36 by autodist

* Thu Aug 13 2009 Automatic Build System <autodist@mambasoft.it> 185.18.31-1mamba
- automatic update to 185.18.31 by autodist

* Sun Aug 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 185.18.29-1mamba
- update to 185.18.29
- source renamed to NVIDIA and version chanded to source real version

* Sun Jul 19 2009 Automatic Build System <autodist@mambasoft.it> 2.6.30.185.18.14-1mamba
- update to 2.6.30.185.18.14

* Sat Jun 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.29.185.18.14-1mamba
- update to 2.6.29.185.18.14

* Fri Jun 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.185.18.14-1mamba
- update to 2.6.28.185.18.14

* Wed May 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.51-1mamba
- update to 2.6.28.180.51

* Fri Apr 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.44-1mamba
- update to 2.6.28.180.44

* Sat Feb 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.29-1mamba
- update to 2.6.28.180.29
- legacy 173xx: update to 173.14.15 (beta)

* Sat Feb 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26.180.22-2mamba
- removed libwfb.so, provided by xorg-server >= 1.4

* Tue Feb 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26.180.22-1mamba
- update to 2.6.26.180.22

* Thu Dec 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-3mamba
- remove PreReq for kernel headers; change to kernel PreReq

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-2mamba
- rebuilt against updated kernel headers (after disabling RT_SCHED_GROUP)

* Mon Sep 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-1mamba
- update to 2.6.26

* Wed Aug 27 2008 Aleph0 <aleph0@openmamba.org> 4.4.1-1mamba
- nvidia current: update to 177.13
- nvidia 71xx: update to 71.86.06
- nvidia 96xx: update to 96.43.07

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.24-2mamba
- nvidia current: update to 173.14.19

* Fri Mar 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.24-1mamba
- update to 2.6.24

* Wed Jan 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-3mamba
- create nvidia.ko alternatives for 71xx and 96xx on updates too
- make depmod silent

* Fri Jan 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-2mamba
- fix update of nvidia.ko alternatives
- libGL_nvidia*: run ldconfig

* Sat Dec 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-1mamba
- update to 2.6.23
- nvidia driver: update to 169.07

* Sat Oct 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-8mamba
- current driver: added libwfb.so symlink to libnvidia-wfb

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-7mamba
- restored /usr/lib/libnvidia-tls* needed for building

* Wed Oct 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-6mamba
- set libGL-nvidia* as PrePreq's for the respective xorg-drv-video-nvidia* pkg

* Thu Oct 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-5mamba
- run nvidia-autoselect-driver before ldconfig and depmod
- clean libnvidia-tls.so alternative 

* Mon Sep 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-4mamba
- handle alternatives for tls/libnvidia-tls too
- excludes %%libdir/libnvidia-tls.so.*
- handle alternatives for libnvidia-cfg and libXvMCNVIDIA too

* Wed Sep 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-3mamba
- update to 100.14.19
- rename kernel modules as *_ko

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-2mamba
- remove .so extension from libGL, libGLcore and libglx alternatives library 
  to avoid ldconfig reconfigure them removing /etc/alternatives symlink

* Sun Jul 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-1mamba
- update to version 2.6.22
- handle more generic symlinks to libraries to provide ugrade facility
- execute update-alternatives-set-nvidia* if an alternative symlink is broken

* Sun Jun 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-6mamba
- update to 100.14.11

* Wed Jun 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-5mamba
- update to 100.14.09
- 71xx and 96xx packages don't obsolete old packages anymore
- added installation of nvidia-settings and nvidia-xconfig applications
- added installation of libnvidia-wfb xorg module

* Wed Jun 06 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-4mamba
- set alternatives for libGLcore.so.1, libXvMCNVIDIA_dynamic.so.1, libnvidia-tls.so.1 and libnvidia-cfg.so.1

* Mon Jun 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-3mamba
- added common srpm for multiple legacy drivers (71xx and 96xx)
- added nvidia_71xx and nvidia_96xx related packages 
- obsoleting nvidia-legacy related packages
- xorg-drv-video-nvidia-doc: documentation package added

* Sat May 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-2mamba
- xorg-drv-video-nvidia: add requirement for xorg-ext-libglx-nvidia and libGL-nvidia-X11
- xorg-ext-libglx-nvidia: set libglx.so.%{nvidia_libver} as an alternative for libglx.so
- libGL-nvidia-X11: create libGL.so.%{nvidia_libver} as an alternative for libGL.so.1
- add provides for libGL.so.1
- xorg-drv-video-nvidia: add update-alternatives-set-nvidia script

* Thu Apr 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-1mamba
- rebuild with kernel 2.6.21

* Mon Mar 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20-2qilnx
- driver update to 9755
- obsolete old kernel's package

* Mon Feb 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20-1qilnx
- update to version 2.6.20 by autospec
- nvidia driver update to 9746

* Wed Dec 28 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.19-2qilnx
- rename libglx-nvidia to xorg-ext-libglx-nvidia and obsolete libglx-nvidia

* Thu Dec 21 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.19-1qilnx
- kernel 2.6.19 build
- add support for Xorg 7.1

* Fri Oct 20 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.18-2qilnx
- renamed from kernel26-nongpl-nvidia to kernel-nongpl-nvidia
- driver update to 8776

* Fri Sep 22 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.18-1qilnx
- kernel 2.6.18 build

* Thu Jun 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.17-1qilnx
- new kernel version build
- update to version 1.0-8762

* Sat May 13 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-5qilnx
- rebuilt

* Sun Apr 23 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-4qilnx
- don't rmmod kernel module on package removal

* Fri Apr 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-3qilnx
- rebuild with 2G/2G split kernel

* Sun Apr 16 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-2qilnx
- update to version 1.0-8756

* Sat Apr 02 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-1qilnx
- new kernel version build

* Thu Mar 30 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.15-11qilnx
- split from kernel26-nongpl source to avoid conflicts with fglrx driver
